Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmSession

All Superinterfaces
  IGroupwareSession, ISession, Serializable

    public interface ICmSession

extends IGroupwareSession

This interface defines a session for the BEA Content Management Collab provider.

The following table shows the properties that can be used to open a session:

Property | Required | Additional Information
`PROP_REPOSITORY_ROOT_PATH` | Yes | The root path of the repository.
`PROP_REPOSITORY_NAME` | Yes | The repository name.
`PROP_MAIL_USERNAME` | No | Mail account user name
`PROP_MAIL_PASSWORD` | No | Mail account password
`PROP_MAIL_OUTGOING_HOST` | No | The machine name or IP address of the outgoing mail server.
`PROP_MAIL_OUTGOING_PROTOCOL` | No | Outgoing mail protocol (`SMTP` -- see `MAIL_PROTOCOL_` constants).
`PROP_MAIL_OUTGOING_PORT` | No | The the outgoing mail port.
`PROP_MAIL_OUTGOING_USERNAME` | No | Outgoing account user name
`PROP_MAIL_OUTGOING_PASSWORD` | No | Outgoing account password
`PROP_MAIL_INCOMING_HOST` | No | The machine name or IP address of the incoming mail server (IMAP or POP3).
`PROP_MAIL_INCOMING_PROTOCOL` | No | Incoming mail protocol (`IMAP` or `POP3` -- see `MAIL_PROTOCOL_` constants)
`PROP_MAIL_INCOMING_PORT` | No | Incoming mail port
`PROP_MAIL_INCOMING_SSL` | No | Incoming mail is ssl (`true` or `false`)
`PROP_MAIL_FROM_ADDRESS` | No | The address to populate the From email field if different from

Field Summary
`static String` | `ATTR_HTTP_REQUEST`
`static String` | `INTERNAL_NAME` Constant value that is the internal name.
`static String` | `MAIL_PROTOCOL_IMAP` Constant value that is the incoming IMAP protocol.
`static String` | `MAIL_PROTOCOL_POP3` Constant value that is the incoming POP3 protocol.
`static String` | `MAIL_PROTOCOL_SMTP` Constant value that is the outgoing SMTP protocol.
`static String` | `PROP_CREATE_ROOT_NODE`
`static String` | `PROP_ENTITLEMENTS_LISTENER`
`static String` | `PROP_FORUM_ROOT_NODE_NAME`
`static String` | `PROP_GROUPWARE_ROOT_NODE_NAME`
`static String` | `PROP_MAIL_CREATE_FOLDERS` The session property that specifies whether or not to automatically create the defauly mail folders if they do not exist.
`static String` | `PROP_MAIL_DEBUG` The session property that enables mail debugging.
`static String` | `PROP_MAIL_DELETE_FROM_SERVER` The session property that specifies the desired mail delete from server.
`static String` | `PROP_MAIL_DISPLAY_FROM` The session property that specifies the desired mail display 'from'.
`static String` | `PROP_MAIL_FOLDER_DELETED` The session property that specifies the desired mail 'deleted' folder.
`static String` | `PROP_MAIL_FOLDER_DRAFTS` The session property that specifies the desired mail 'drafts' folder.
`static String` | `PROP_MAIL_FOLDER_INBOX` The session property that specifies the desired mail 'inbox' folder.
`static String` | `PROP_MAIL_FOLDER_SENT` The session property that specifies the desired mail 'sent' folder.
`static String` | `PROP_MAIL_FROM_ADDRESS` The session property that specifies the desired mail 'from' email address.
`static String` | `PROP_MAIL_INCOMING_HOST` The session property that specifies the incoming mail server.
`static String` | `PROP_MAIL_INCOMING_PORT` The session property that specifies the incoming mail port.
`static String` | `PROP_MAIL_INCOMING_PROTOCOL` The session property that specifies the incoming mail protocol (IMAP or POP3).
`static String` | `PROP_MAIL_INCOMING_SSL` The session property that specifies that the incoming mail should be over SSL.
`static String` | `PROP_MAIL_LEAVE_ON_SERVER` The session property that specifies the desired mail leave on server.
`static String` | `PROP_MAIL_OUTGOING_HOST` The session property that specifies the outgoing mail server.
`static String` | `PROP_MAIL_OUTGOING_PASSWORD` The session property that specifies the outgoing mail user password.
`static String` | `PROP_MAIL_OUTGOING_PORT` The session property that specifies the outgoing mail port.
`static String` | `PROP_MAIL_OUTGOING_PROTOCOL` The session property that specifies the outgoing mail protocol (SMTP).
`static String` | `PROP_MAIL_OUTGOING_USERNAME` The session property that specifies the outgoing mail username.
`static String` | `PROP_MAIL_PASSWORD` The session property that specifies the mail password.
`static String` | `PROP_MAIL_RETRIEVAL_INTERVAL` The session property that specifies the desired mail retrieval interval (in milliseconds).
`static String` | `PROP_MAIL_USERNAME` The session property that specifies the mail username.
`static String` | `PROP_OWNER`
`static String` | `PROP_REPOSITORY_NAME` The session property that specifies the repository name.
`static String` | `PROP_REPOSITORY_ROOT_PATH` The session property that specifies the repository root path.
`static String` | `PROP_VISIBILITY` The session property that specifies the content visibility.
`static String` | `VISIBILITY_COMMUNITY` Constant value that is the 'community' visibility.
`static String` | `VISIBILITY_PERSONAL` Constant value that is the 'personal' visibility.

Fields inherited from interface com.compoze.collab.ISession
`PROP_ADMIN_LOCALE, PROP_AUTO_FETCH, PROP_CACHE_DEPENDENCY_CHECK_MILLIS, PROP_CACHE_ENABLED, PROP_CACHE_QUERY_MAX, PROP_CACHE_UPDATE_MILLIS, PROP_CACHE_USE_SOFT_REFERENCES, PROP_LOCALE, PROP_LOG_LEVEL, PROP_PROGRAMMER_LOCALE, PROP_PROVIDER, PROP_SCHEMA, PROPVALUE_REMOVE, STATE_AUTHENTICATED, STATE_INITIALIZED, STATE_OPEN, STATE_UNINITIALIZED`

Method Summary
`ICmMailRetrievalStatus` | `getCmMailRetrievalStatus()` Gets the status of mail retrieval.
`ICmForumRootContainer` | `getForumRootContainer()` Gets the root container for forums.

Methods inherited from interface com.compoze.collab.groupware.IGroupwareSession
`getCalendar, getDefaultContainer, getDefaultContainer, getRootContainer, getRootContainer, getTimeZone, getTimeZone, setTimeZone`

Methods inherited from interface com.compoze.collab.ISession
`addLogListener, close, endProfile, endTimer, endTimer, getAdminLocale, getAttribute, getDefaultRootContainer, getDefaultRootContainer, getLocale, getLogLevel, getOption, getOptions, getProgrammerLocale, getProperties, getProperty, getProvider, getState, invalidateCache, isCapabilitySupported, log, login, login, logout, open, open, removeAttribute, setAdminLocale, setAttribute, setLocale, setLogLevel, setOption, setOptions, setProgrammerLocale, startProfile, startProfile, startTimer, startTimer`

Field Detail

### PROP_REPOSITORY_ROOT_PATH

    static final String PROP_REPOSITORY_ROOT_PATH

  The session property that specifies the repository root path.

  See Also
    Constants Summary

### PROP_REPOSITORY_NAME

    static final String PROP_REPOSITORY_NAME

  The session property that specifies the repository name.

  See Also
    Constants Summary

### PROP_MAIL_USERNAME

    static final String PROP_MAIL_USERNAME

  The session property that specifies the mail username.

  See Also
    Constants Summary

### PROP_MAIL_PASSWORD

    static final String PROP_MAIL_PASSWORD

  The session property that specifies the mail password.

  See Also
    Constants Summary

### PROP_MAIL_DEBUG

    static final String PROP_MAIL_DEBUG

  The session property that enables mail debugging.

  See Also
    Constants Summary

### PROP_MAIL_OUTGOING_HOST

    static final String PROP_MAIL_OUTGOING_HOST

  The session property that specifies the outgoing mail server.

  See Also
    Constants Summary

### PROP_MAIL_OUTGOING_PROTOCOL

    static final String PROP_MAIL_OUTGOING_PROTOCOL

  The session property that specifies the outgoing mail protocol (SMTP).

  See Also
    `MAIL_PROTOCOL_SMTP`, Constants Summary

### PROP_MAIL_OUTGOING_PORT

    static final String PROP_MAIL_OUTGOING_PORT

  The session property that specifies the outgoing mail port.

  See Also
    Constants Summary

### PROP_MAIL_OUTGOING_USERNAME

    static final String PROP_MAIL_OUTGOING_USERNAME

  The session property that specifies the outgoing mail username.

  See Also
    Constants Summary

### PROP_MAIL_OUTGOING_PASSWORD

    static final String PROP_MAIL_OUTGOING_PASSWORD

  The session property that specifies the outgoing mail user password.

  See Also
    Constants Summary

### PROP_MAIL_INCOMING_HOST

    static final String PROP_MAIL_INCOMING_HOST

  The session property that specifies the incoming mail server.

  See Also
    Constants Summary

### PROP_MAIL_INCOMING_PROTOCOL

    static final String PROP_MAIL_INCOMING_PROTOCOL

  The session property that specifies the incoming mail protocol (IMAP or POP3).

  See Also
    `MAIL_PROTOCOL_IMAP`, `MAIL_PROTOCOL_POP3`, Constants Summary

### PROP_MAIL_INCOMING_PORT

    static final String PROP_MAIL_INCOMING_PORT

  The session property that specifies the incoming mail port.

  See Also
    Constants Summary

### PROP_MAIL_INCOMING_SSL

    static final String PROP_MAIL_INCOMING_SSL

  The session property that specifies that the incoming mail should be over SSL.

  See Also
    Constants Summary

### PROP_MAIL_FROM_ADDRESS

    static final String PROP_MAIL_FROM_ADDRESS

  The session property that specifies the desired mail 'from' email address.

  See Also
    Constants Summary

### PROP_MAIL_DISPLAY_FROM

    static final String PROP_MAIL_DISPLAY_FROM

  The session property that specifies the desired mail display 'from'.

  See Also
    Constants Summary

### PROP_MAIL_RETRIEVAL_INTERVAL

    static final String PROP_MAIL_RETRIEVAL_INTERVAL

  The session property that specifies the desired mail retrieval interval (in milliseconds).

  See Also
    Constants Summary

### PROP_MAIL_FOLDER_INBOX

    static final String PROP_MAIL_FOLDER_INBOX

  The session property that specifies the desired mail 'inbox' folder.

  See Also
    Constants Summary

### PROP_MAIL_FOLDER_DRAFTS

    static final String PROP_MAIL_FOLDER_DRAFTS

  The session property that specifies the desired mail 'drafts' folder.

  See Also
    Constants Summary

### PROP_MAIL_FOLDER_SENT

    static final String PROP_MAIL_FOLDER_SENT

  The session property that specifies the desired mail 'sent' folder.

  See Also
    Constants Summary

### PROP_MAIL_FOLDER_DELETED

    static final String PROP_MAIL_FOLDER_DELETED

  The session property that specifies the desired mail 'deleted' folder.

  See Also
    Constants Summary

### PROP_MAIL_LEAVE_ON_SERVER

    static final String PROP_MAIL_LEAVE_ON_SERVER

  The session property that specifies the desired mail leave on server.

  See Also
    Constants Summary

### PROP_MAIL_DELETE_FROM_SERVER

    static final String PROP_MAIL_DELETE_FROM_SERVER

  The session property that specifies the desired mail delete from server.

  See Also
    Constants Summary

### PROP_VISIBILITY

    static final String PROP_VISIBILITY

  The session property that specifies the content visibility.

  See Also
    `VISIBILITY_PERSONAL`, `VISIBILITY_COMMUNITY`, Constants Summary

### PROP_GROUPWARE_ROOT_NODE_NAME

    static final String PROP_GROUPWARE_ROOT_NODE_NAME

See Also
  Constants Summary

### PROP_FORUM_ROOT_NODE_NAME

    static final String PROP_FORUM_ROOT_NODE_NAME

See Also
  Constants Summary

### PROP_CREATE_ROOT_NODE

    static final String PROP_CREATE_ROOT_NODE

See Also
  Constants Summary

### PROP_ENTITLEMENTS_LISTENER

    static final String PROP_ENTITLEMENTS_LISTENER

See Also
  Constants Summary

### PROP_OWNER

    static final String PROP_OWNER

See Also
  Constants Summary

### PROP_MAIL_CREATE_FOLDERS

    static final String PROP_MAIL_CREATE_FOLDERS

  The session property that specifies whether or not to automatically create the defauly mail folders if they do not exist.

  See Also
    Constants Summary

### INTERNAL_NAME

    static final String INTERNAL_NAME

  Constant value that is the internal name.

  See Also
    Constants Summary

### ATTR_HTTP_REQUEST

    static final String ATTR_HTTP_REQUEST

See Also
  Constants Summary

### VISIBILITY_PERSONAL

    static final String VISIBILITY_PERSONAL

  Constant value that is the 'personal' visibility.

  See Also
    Constants Summary

### VISIBILITY_COMMUNITY

    static final String VISIBILITY_COMMUNITY

  Constant value that is the 'community' visibility.

  See Also
    Constants Summary

### MAIL_PROTOCOL_SMTP

    static final String MAIL_PROTOCOL_SMTP

  Constant value that is the outgoing SMTP protocol.

  See Also
    Constants Summary

### MAIL_PROTOCOL_IMAP

    static final String MAIL_PROTOCOL_IMAP

  Constant value that is the incoming IMAP protocol.

  See Also
    Constants Summary

### MAIL_PROTOCOL_POP3

    static final String MAIL_PROTOCOL_POP3

  Constant value that is the incoming POP3 protocol.

  See Also
    Constants Summary

Method Detail

### getForumRootContainer

    ICmForumRootContainer getForumRootContainer()
                                                throws CollaborationException

  Gets the root container for forums.

  Returns
    the forum root container
  Throws
    `CollaborationException`

### getCmMailRetrievalStatus

    ICmMailRetrievalStatus getCmMailRetrievalStatus()
                                                    throws CollaborationException

  Gets the status of mail retrieval.

  Returns
    the status of mail retrieval
  Throws
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved